<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>net7.0;net8.0;net9.0</TargetFrameworks>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Bogus" Version="35.6.3" />
    <PackageReference Include="Microsoft.Extensions.Localization.Abstractions" Version="7.0.16" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.3.2" />
    <PackageReference Include="Moq" Version="4.20.70" />
    <PackageReference Include="NUnit" Version="3.13.3" />
    <PackageReference Include="NUnit3TestAdapter" Version="4.3.0" />
    <PackageReference Include="NUnit.Analyzers" Version="3.5.0" />
    <PackageReference Include="coverlet.collector" Version="3.1.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DigitalData.Core.Abstractions\DigitalData.Core.Abstractions.csproj" />
    <ProjectReference Include="..\DigitalData.Core.API\DigitalData.Core.API.csproj" />
    <ProjectReference Include="..\DigitalData.Core.Application\DigitalData.Core.Application.csproj" />
    <ProjectReference Include="..\DigitalData.Core.Client\DigitalData.Core.Client.csproj" />
    <ProjectReference Include="..\DigitalData.Core.DTO\DigitalData.Core.DTO.csproj" />
    <ProjectReference Include="..\DigitalData.Core.Infrastructure.AutoMapper\DigitalData.Core.Infrastructure.AutoMapper.csproj" />
    <ProjectReference Include="..\DigitalData.Core.Infrastructure\DigitalData.Core.Infrastructure.csproj" />
    <ProjectReference Include="..\DigitalData.Core.Security\DigitalData.Core.Security.csproj" />
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net7.0'">
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.20" />
	<PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="7.0.20" />
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net8.0'">
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.15" />
	<PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="8.0.15" />
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net9.0'">
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.4" />
	<PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="9.0.4" />
  </ItemGroup>

</Project>
